=== debian/changelog ===
ros-lunar-rosrt (1.0.25-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Sat, 30 Mar 2019 22:29:50 -0000

ros-lunar-rosrt (1.0.3-0xenial) xenial; urgency=high

  * Added install targets to rosrt
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 08 Sep 2014 07:00:00 -0000
